Neglected Puppy Market

    @flood/node-influx
    TypeScript icon, indicating that this package has built-in type declarations

    5.0.9 • Public • Published

    node-influx, an InfluxDB client for Node.js and Browsers

    NPM Version Build Status Coverage Status Dependencies Status


    Browser Test Status

    Installation

    For Node, simply:

    $ npm install --save influx
    

    For browsers, see the browser setup instructions.

    Features

    • Simple API for nearly all Influx operations
    • Fully supported in Node and the browser
    • Performant, processing millions of rows/sec on modest hardware
    • Zero dependencies

    Compatibility

    Version 5.x.x is compatible with InfluxDB 1.x on Node 4 on onwards, and modern browsers

    Version 4.x.x is compatible with InfluxDB 0.9.x - 0.13.x on Node 0.12 and onwards

    Version 3.x.x is compatible with InfluxDB 0.8.x - 3.x will no longer have updates by core contributers, please consider upgrading.

    Usage

    Install

    npm i @flood/node-influx

    DownloadsWeekly Downloads

    2,466

    Version

    5.0.9

    License

    MIT

    Unpacked Size

    323 kB

    Total Files

    33

    Last publish

    Collaborators

    • lachie
    • bockit